
import javax.microedition.lcdui.*;


public class Menu extends Canvas{

    int width = getWidth();
    int height = getHeight();

    private TicTacToe game;

    String Title = " ";

    int selected=25;

    Canvas canvas;
    Display display;

    Dialog dialog;

    protected void paint(Graphics gr) {

        //llena el fondo
        gr.setColor(255,255,255);
        gr.fillRect(0, 0, width, height);

        //dibuja los items del menu
        gr.setColor(0, 0, 0);
        gr.drawString(Title, width/2, 20, Graphics.BASELINE | Graphics.HCENTER);
        gr.drawString("Server", width/2, 40, Graphics.BASELINE | Graphics.HCENTER);
        gr.drawString("Client", width/2, 60, Graphics.BASELINE | Graphics.HCENTER);
        gr.drawString("Exit", width/2, 80, Graphics.BASELINE | Graphics.HCENTER);
        if(dialog!=null)gr.drawString("About", width/2, 100, Graphics.BASELINE | Graphics.HCENTER);
        gr.drawRect(80, selected, 80, 20);//dibuja el cuadro de seleccion

    }


    protected void keyPressed(int keyCode) {

		switch(keyCode)
		{
			case KEY_NUM2://se mueve para arriba
                if(selected>25)selected=selected-20;
			break;

            case KEY_NUM8://se mueve para abajo
                if(selected<85 && dialog!=null)selected=selected+20;
                else if(selected<65)selected=selected+20;

			break;

            case KEY_NUM5://selecciona
                if(selected==85)display.setCurrent(dialog);
                if(selected==65)Midlet.exit();
                if(selected==25)
                {
                    game.gameCanvas.IsServer = true;//crea el juego como servidor
                    game.gameCanvas.player = -1;
                    game.gameCanvas.thread = new Thread(game.gameCanvas); game.gameCanvas.thread.start();//parte el hilo
                    game.gameCanvas.RunThread=true;
                    game.gameCanvas.setInstance(game);
                    display.setCurrent(game.gameCanvas);//desplega el tablero de juego
                }
                else if(selected==45)
                {
                    game.gameCanvas.IsServer = false;//crea el juego como cliente
                    game.gameCanvas.player = 1;
                    game.gameCanvas.thread = new Thread(game.gameCanvas); game.gameCanvas.thread.start();//parte el hilo
                    game.gameCanvas.RunThread=true;
                    game.gameCanvas.setInstance(game);
                    display.setCurrent(game.gameCanvas);//desplega el tablero de juego
                }
			break;
		}
		repaint();//repinta cada vez que es apretado un boton

	}

    /**setea lo que dice el dialogo about
     @param string texto a mostrar en el cuadro de dialogo*/
    void setAboutDialog(String string) {
        dialog= new Dialog(string,display,game);
    }

    /**setea la pantalla a usar
     @param disp display usado*/
    void setDisplay(Display disp) {
        display = disp;
    }

    /**setea el titulo del juego
     @param string texto a usar de titulo*/
    void setGameName(String string) {
        Title=string;
    }

    /**instancia el juego actual
     @param game1 juego a instanciar*/
    void setInstance(TicTacToe game1) {
        game= game1;
    }

}
