import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**Clase midlet para ser ejecutada en un telefono movil*/
public class Midlet extends MIDlet{

    /**variable que indica el display utilizado*/
	public Display display;

    private TicTacToe game = new TicTacToe();

    /**para luego crear una instancia de si mimsmo*/
    public static Midlet instance;

    /**constructor del midlet*/
	public Midlet() {
        instance = this;
        init();
	}

    /**obtiene el display actual*/
    public Display getDisplay() {
        return Display.getDisplay(this);
    }

    /**inicializa diversos componentes*/
	private void init() {
		display = Display.getDisplay( this );
        game.gameMenu.setInstance(game);
        game.gameMenu.setDisplay(display);
        display.setCurrent(game.gameMenu);//despliega el menu
	}

    /**metodo que indica que se hace cuando la aplicacion parte o sale del pause*/
	public void startApp() {
        game.gameMenu.repaint();//repinta el menu
	}


    /**metodo que indica que se hace cuando la aplicacion es interrumpida por eventos del telefono*/
	public void pauseApp() {
	}

    /**metodo que indica que se hace cuando la aplicacion es destuida*/
	public void destroyApp( boolean unconditional ) {
	}

    /**metodo para salir de la aplicacion*/
	public void quitApp() {
		destroyApp( true );
		notifyDestroyed();
	}

    /**metodo estatico para salir de la aplicacion*/
    public static void exit (){
        instance.quitApp();
    }


}